package cn.org.bjca.trust.push.enums

enum class MsgType(val value: Int) {
    UNKNOWN(-1)     /* 未知 */,
    Text(1)         /* 文本 */,
    Voice(2)        /* 语音 */,
    Image(3)        /* 图片 */,
    Location(4)     /* 位置 */,
    Video(5)        /* 视频 */,
    File(6)         /* 文件 */,
    At(7)          /* @我 */,
    Other(8)          /* 自定义消息 */,
    Log(10010),   /* 日志 */
    /**
     * pc 登陆 end
     */
    /**
     * 音频/视频消息 start
     */
    AVMeetingInvite(250),/*邀请通知*/
    AVMeetingRefuse(251),/*拒绝通知*/
    AVMeetingCancel(252),/*取消通知*/
    AVMeetingTimeout(253),/*超时通知*/
    AVMeetingBusy(254),/*占线通知*/
    AVMeetingSwitch(255),/*切换音频通知*/
    AVMeetingConnected(256),/* 聊天已连接通知*/
    MulAVMeetingInvite(260), /*群视频邀请*/
    MulAVMeetingRefuse(261), /*群成员拒绝通知*/
    MulAVMeetingCancel(262),/*取消通知*/
    MulAVMeetingTimeOut(263),/*超时通知 */


    Notify(999);

    companion object {
        fun getMsgType(value: Int): MsgType {
            for (item in values()) {
                if (item.value == value) {
                    return item
                }
            }
            return UNKNOWN
        }
    }
}